Bug 1282951 - [DOC] when a node power state is out-of-sync w/ the database, ironic can't deploy
[DOC] when a node power state is out-of-sync w/ the database, ironic can't de...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
All All
unspecified Severity low
: ---
: 10.0 (Newton)
Assigned To: RHOS Documentation Team
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 16:35 EST by Dan Yocum
Modified: 2017-08-30 21:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When deploying Red Hat OpenStack Platform director, the bare-metal nodes should be powered off, and the ironic `node-state` and `provisioning-state` must be correct. For example, if ironic lists a node as "Available, powered-on", but the server is actually powered off, the node cannot be used for deployment. As a result, you will need to ensure that the node state in ironic matches the actual node state. Use "ironic node-set-power-state <node> [on|off]" and/or "ironic node-set-provisioning-state <node> available" to make the power state in ironic match the real state of the server, and ensure that the nodes are marked `Available`. As a result, once the state in ironic is correct, ironic will be able to correctly manage the power state and deploy to the nodes.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-30 21:34:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-11-17 16:35:57 EST
Description of problem:

A node will remain in 'power-on, available' state forever if the node is not actually in power-on state.  

Or vice-versa: power-off, available, when the node is powered-on

Version-Release number of selected component (if applicable):

python-rdomanager-oscplugin-0.0.10-8.el7ost.noarch

How reproducible:

Every

Steps to Reproduce:
1. After node introspection, power-on a compute node
2. Attempt to openstack deply -e ....
3. ironic node-list and note that the compute node never deploys, or becomes available.
Comment 3 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Dan Sneddon 2016-10-14 15:43:13 EDT
For now, I believe this bug can be addressed with the doc text added. If it is desired for automation to handle this scenario, then please open an [RFE] bug requesting that behavior.
Comment 7 Lucy Bopf 2016-11-01 23:48:54 EDT
The documentation has been provided via a release note, and will be included with the OSP 10 release.

Note You need to log in before you can comment on or make changes to this bug.